package org.algorithm.core.cnn.model.impl;

import org.algorithm.core.cnn.dataset.RelationExtractionDataSet;
import org.algorithm.core.cnn.model.RelationExtractionModel;
import org.algorithm.core.neural.dataset.NNDataSet;
import org.algorithm.core.neural.dataset.NNDataSetImpl;
import org.diagbot.pub.utils.PropertiesUtil;

/**
 * @Author: bijl
 * @Date: 2019/1/22 14:49
 * @Decription:
 */
public class RelationExtractionModelImpl extends RelationExtractionModel {
    /**
     */
    public RelationExtractionModelImpl() {

        PropertiesUtil prop = new PropertiesUtil("/algorithm.properties");

        String modelPath = prop.getProperty("basicPath");  // 模型基本路径
        String modelVersion = prop.getProperty("relationExtraction");
        modelPath = modelPath.replace("model_version_replacement", modelVersion);  // 生成模型路径

        String exportDir = null;
        RelationExtractionDataSet dataSet = new RelationExtractionDataSet(modelPath + System.getProperty("line.separator")
                + "char2id.json");
        this.init(exportDir);
        this.dataSet = dataSet;
    }
}
